JadeFIPAAServProfile (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.service.jade
Class JadeFIPAAServProfile

    java.lang.Object
      fr.inrialpes.exmo.align.service.jade.JadeFIPAAServProfile

All Implemented Interfaces:
  AlignmentServiceProfile

    public class JadeFIPAAServProfile

extends Object
implements AlignmentServiceProfile

Field Summary
`private jade.wrapper.AgentController` | `algagentcontroller`
`private jade.wrapper.AgentContainer` | `mc`
`private jade.util.Logger` | `myLogger`

Constructor Summary
`JadeFIPAAServProfile()`

Method Summary
`void` | `close()` Shutdown the Service and undeclare it from any registery
`void` | `init(Properties params, AServProtocolManager manager)` Creates the Service object and declares it after any required registery

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mc

    private jade.wrapper.AgentContainer mc

### algagentcontroller

    private jade.wrapper.AgentController algagentcontroller

### myLogger

    private jade.util.Logger myLogger

Constructor Detail

### JadeFIPAAServProfile

    public JadeFIPAAServProfile()

Method Detail

### init

    public void init(Properties params,
                     AServProtocolManager manager)
              throws AServException

  Description copied from interface: `AlignmentServiceProfile`
  Creates the Service object and declares it after any required registery

  Specified by:
    `init` in interface `AlignmentServiceProfile`
  Throws:
    `AServException`

### close

    public void close()

  Description copied from interface: `AlignmentServiceProfile`
  Shutdown the Service and undeclare it from any registery

  Specified by:
    `close` in interface `AlignmentServiceProfile`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010